﻿<div class="table-responsive responsive table_cart" id="TableListSQ">
    <table id="assets-data-table-ListSQ" class="table display" style="width:100%;"></table>
    <script type="text/javascript">
        var assetListVM_ListSQ;
        $(function () {
            assetListVM_ListSQ = {
                dt: null,
                init: function () {
                    dt = $('#assets-data-table-ListSQ').DataTable({
                        "autoWidth": true,
                        "serverSide": true,
                        "processing": true,
                        "data": null,
                        "drawCallback": function( settings ) {
                            $("#assets-data-table-ListSQ").find("input:checked").each(function (i, ob) {
                                $(ob).parent().parent().addClass('selected');;
                            });
                        },
                        "dom": '<"top"lp>rt<"bottom"ip>',
                        "select": {
                            "style": 'os',
                            "selector": 'td:first-child'
                        },
                        "ajax": {
                            "url": "/Sales/SalesOrder/ListCopyFrom",
                            "type": 'POST',
                            "data": function (data) {
                                data.pDocumentType = 'SQ';
                                data.pCardCode = $("#txtCodeVendor").val();
                            }
                        },
                        "columns": [
                            {
                                "title": "", "data": "DocEntry", "orderable": false, "name": "DocEntry",
                                "render": function (data, type, full, meta) {
                                    var mChecked = "";
                                    if (pDocumentsToCopy.indexOf(data) != -1)
                                    {
                                        mChecked = "checked";
                                    }
                                    return "<input id=\"ckcopyfrom_" + data + "\" type=\"checkbox\" value='" + data + "' onchange=\"AddOrRemoveDocumentToCopy(" + data + ",$('#ckcopyfrom_" + data + "').is(':checked'), 'ckcopyfrom_" + data + "')\" " + mChecked + ">";
                                }
                            },
                            { "title": "#", "data": "DocNum", "name": "DocNum" },
                            { "title": "@PurchaseOrders.DocDate", "data": "DocDateJSONView", "name": "DocDate" },
                            { "title": "@BusinessPartners.CN", "data": "CardName", "name": "CardName" },
                            { "title": "@PurchaseOrders.Remarks", "data": "Comments", "name": "Comments" },
                            { "title": "@PurchaseOrders.DelDate", "data": "DocDueDateJSONView", "name": "DocDueDate" }
                        ],
                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                        language: {
                            processing: "@DataTables.Processing",
                            lengthMenu: "@DataTables.Show _MENU_ @DataTables.Entries",
                            info: "@DataTables.Showing _START_ @DataTables.To _END_ @DataTables.Of _TOTAL_ @DataTables.Entries",
                            paginate: {
                                previous: "@DataTables.Previous",
                                next: "@DataTables.Next"
                            }
                        },
                    });
                },
                refresh: function () {
                    dt.ajax.reload();
                }
            }
            assetListVM_ListSQ.init();
        });
</script>
</div>